### A free/open-source library for quantitative finance

Classes
ql/math/optimization/constraint.hpp File Reference

Abstract constraint class. More...

`#include <ql/math/array.hpp>`
Include dependency graph for constraint.hpp:

## Classes

class | Constraint
| Base constraint class. More...
class | Constraint::Impl
| Base class for constraint implementations. More...
class | NoConstraint
| No constraint. More...
class | PositiveConstraint
| Constraint imposing positivity to all arguments More...
class | BoundaryConstraint
| Constraint imposing all arguments to be in [low,high] More...
class | CompositeConstraint
| Constraint enforcing both given sub-constraints More...

## Detailed Description

Abstract constraint class.